org.apache.sysds.runtime.io

## Class MatrixReaderFactory

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReaderFactory

    public class MatrixReaderFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MatrixReaderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixReader` `createMatrixReader(ReadProperties props)`
`static MatrixReader` `createMatrixReader(Types.FileFormat fmt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixReaderFactory

    public MatrixReaderFactory()

### Method Detail

#### createMatrixReader

    public static MatrixReader createMatrixReader(Types.FileFormat fmt)

#### createMatrixReader

    public static MatrixReader createMatrixReader(ReadProperties props)